=head1 NAME

Gtk2::FontButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::FontButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gtk2::FontButton-E<gt>B<new> ($fontname=undef)

=over

=item * $fontname (string) 

=back

=head2 widget = Gtk2::FontButton-E<gt>B<new_with_font> ($fontname=undef)

=over

=item * $fontname (string) 

=back

=head2 string = $font_button-E<gt>B<get_font_name> 

=head2 boolean = $font_button-E<gt>B<set_font_name> ($fontname)

=over

=item * $fontname (string) 

=back

=head2 boolean = $font_button-E<gt>B<get_show_size> 

=head2 $font_button-E<gt>B<set_show_size> ($show_size)

=over

=item * $show_size (boolean) 

=back

=head2 boolean = $font_button-E<gt>B<get_show_style> 

=head2 $font_button-E<gt>B<set_show_style> ($show_style)

=over

=item * $show_style (boolean) 

=back

=head2 string = $font_button-E<gt>B<get_title> 

=head2 $font_button-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back

=head2 boolean = $font_button-E<gt>B<get_use_font> 

=head2 $font_button-E<gt>B<set_use_font> ($use_font)

=over

=item * $use_font (boolean) 

=back

=head2 boolean = $font_button-E<gt>B<get_use_size> 

=head2 $font_button-E<gt>B<set_use_size> ($use_size)

=over

=item * $use_size (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'font-name' (string : default "Sans 12" : readable / writable / private)

The name of the selected font

=item 'show-size' (boolean : default true : readable / writable / private)

Whether selected font size is shown in the label

=item 'show-style' (boolean : default true : readable / writable / private)

Whether the selected font style is shown in the label

=item 'title' (string : default "Pick a Font" : readable / writable / private)

The title of the font selection dialog

=item 'use-font' (boolean : default false : readable / writable / private)

Whether the label is drawn in the selected font

=item 'use-size' (boolean : default false : readable / writable / private)

Whether the label is drawn with the selected font size

=back



=cut


=head1 SIGNALS

=over

=item B<font-set> (Gtk2::FontButton)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

